Debian Bug report logs - #348564
unix-domain support for netcat

version graph

Package: netcat-openbsd; Maintainer for netcat-openbsd is Aron Xu <aron@debian.org>; Source for netcat-openbsd is src:netcat-openbsd.

Reported by: Tzafrir Cohen <tzafrir@cohens.org.il>

Date: Tue, 17 Jan 2006 18:33:47 UTC

Severity: normal

Fixed in version netcat-openbsd/1.89-1

Done: Decklin Foster <decklin@red-bean.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#348564; Package netcat. Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
New Bug report received and forwarded. Copy sent to Decklin Foster <decklin@red-bean.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@cohens.org.il>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unix-domain support for netcat
Date: Tue, 17 Jan 2006 20:22:52 +0200
Package: netcat
Version: 1.10-27
Severity: wishlist
Tags: patch

The attached patch adds support for unix-doman sockets to netcat. I
could not find any program that would allow me to "chat" or transfer
data through a unix-domain socket, and thus tried to patch the swiss
army knife.

This patch should be applied after all the existing patches in the
current version of Sarge, as it conflicts with some of them. I believe
that the package in SID is still the same.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-686
Locale: LANG=he_IL.UTF-8, LC_CTYPE=he_IL.UTF-8 (charmap=UTF-8)

Versions of packages netcat depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an

-- no debconf information

-- 
Tzafrir Cohen         | tzafrir@jbr.cohens.org.il | VIM is
http://tzafrir.org.il |                           | a Mutt's  
tzafrir@cohens.org.il |                           |  best
ICQ# 16849755         |                           | friend




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#348564; Package netcat. Full text and rfc822 format available.

Acknowledgement sent to Decklin Foster <decklin@red-bean.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 348564@bugs.debian.org (full text, mbox):

From: Decklin Foster <decklin@red-bean.com>
To: Tzafrir Cohen <tzafrir@cohens.org.il>, 348564@bugs.debian.org
Subject: Re: Bug#348564: unix-domain support for netcat
Date: Wed, 5 Apr 2006 15:11:58 -0400
> The attached patch adds support for unix-doman sockets to netcat.

I could not find the patch attached to this message. Did you forget it?
Sorry for the delay.

-- 
things change.
decklin@red-bean.com



Tags removed: patch Request was from decklin@bird.rupamsunyata.org (Decklin Foster) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#348564; Package netcat. Full text and rfc822 format available.

Acknowledgement sent to Guido Guenther <agx@debian.org>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. Full text and rfc822 format available.

Message #17 received at 348564@bugs.debian.org (full text, mbox):

From: Guido Guenther <agx@debian.org>
To: 348564@bugs.debian.org
Cc: "Richard W.M. Jones" <rjones@redhat.com>
Subject: OpenBSDs netcat supports this via the -U option
Date: Fri, 23 Nov 2007 23:36:07 +0100
[Message part 1 (text/plain, inline)]
Dear netcat maintainer,
the netcat at:
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/nc/
supports unix domain sockets via -U - actually this is what
Fedora/Redhat ships and libvirt (currently in new) needs a netcat with
this option. It does seem to have lots of other nice features too like
IPv6 and proxy support.

Would you consider switching netcat over to this version? Otherwise I
might just package it up and we could use either alternatives or
diversons to handle this but switching to this version would propably be
best and I don't see any disadvantages.
Cheers,
 -- Guido
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#348564; Package netcat. Full text and rfc822 format available.

Acknowledgement sent to Guido Guenther <agx@debian.org>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. Full text and rfc822 format available.

Message #22 received at 348564@bugs.debian.org (full text, mbox):

From: Guido Guenther <agx@debian.org>
To: Debian Bug Tracking System <348564@bugs.debian.org>
Subject: libvirt needs "nc -U"
Date: Fri, 30 Nov 2007 10:09:44 +0100
[Message part 1 (text/plain, inline)]
Package: netcat
Version: 1.10-33
Followup-For: Bug #348564
Severity: normal

Hi,
I'm raising the severity of this bug since libvirt0 needs a "netcat
-U" to forward it's unix domain sockets. Can we have that fixed?
Cheers,
 -- Guido
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 453627 added: 348564 Request was from Guido Guenther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 01 Dec 2007 13:30:19 GMT) Full text and rfc822 format available.

Severity set to `normal' from `wishlist' Request was from Guido Guenther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 01 Dec 2007 13:30:20 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 25 Jan 2008 23:06:07 GMT) Full text and rfc822 format available.

Reply sent to Decklin Foster <decklin@red-bean.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 348564-close@bugs.debian.org (full text, mbox):

From: Decklin Foster <decklin@red-bean.com>
To: 348564-close@bugs.debian.org
Subject: Bug#348564: fixed in netcat-openbsd 1.89-1
Date: Thu, 31 Jan 2008 16:25:29 +0000
Source: netcat-openbsd
Source-Version: 1.89-1

We believe that the bug you reported is fixed in the latest version of
netcat-openbsd, which is due to be installed in the Debian FTP archive:

netcat-openbsd_1.89-1.diff.gz
  to pool/main/n/netcat-openbsd/netcat-openbsd_1.89-1.diff.gz
netcat-openbsd_1.89-1.dsc
  to pool/main/n/netcat-openbsd/netcat-openbsd_1.89-1.dsc
netcat-openbsd_1.89-1_amd64.deb
  to pool/main/n/netcat-openbsd/netcat-openbsd_1.89-1_amd64.deb
netcat-openbsd_1.89.orig.tar.gz
  to pool/main/n/netcat-openbsd/netcat-openbsd_1.89.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 348564@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Decklin Foster <decklin@red-bean.com> (supplier of updated netcat-openbsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 21 Jan 2008 18:41:37 -0500
Source: netcat-openbsd
Binary: netcat-openbsd
Architecture: source amd64
Version: 1.89-1
Distribution: unstable
Urgency: low
Maintainer: Decklin Foster <decklin@red-bean.com>
Changed-By: Decklin Foster <decklin@red-bean.com>
Description: 
 netcat-openbsd - TCP/IP swiss army knife
Closes: 142898 145798 348564 461317
Changes: 
 netcat-openbsd (1.89-1) unstable; urgency=low
 .
   * Initial release. (Closes: #145798)
   * Includes support for:
     - IPv6 (Closes: #461317)
     - Unix domain sockets (Closes: #348564)
     - SOCKS (Closes: #142898)
   * Conflict with netcat versions older than netcat-base, so that we can use
     alternatives.
   * Port some features over from netcat-base:
     - Exit successfully when printing help text (-h), and include the Debian
       revision.
     - Add the -q (quit on standard input EOF) flag.
     - Add support for specifying ports by name (/etc/services). Unlike the
       old hack for this, nc will first try to find a named service, then fall
       back to numeric parsing, so no escaping is needed.
Files: 
 11f3a052c5481eec0ada603c95947e19 613 net optional netcat-openbsd_1.89-1.dsc
 7238ce15aae43069e96ba7faf03f153e 13033 net optional netcat-openbsd_1.89.orig.tar.gz
 a49f676d927551d2a9846c0d8a7d3341 29136 net optional netcat-openbsd_1.89-1.diff.gz
 a1b15c0f0b3fcae5c0a22c1e8c3b17d8 36404 net optional netcat-openbsd_1.89-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHmihJuIJGh/GWjRsRArHGAKCHJAWgdYsCQqbcHGM5+ctlfS3q/gCeKAeW
rBWQegV3ASh5kzIqTJSHkcw=
=hbNb
-----END PGP SIGNATURE-----





Bug reassigned from package 'netcat' to 'netcat-openbsd'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 26 Nov 2012 14:06:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions netcat/1.10-33 and netcat/1.10-27. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 26 Nov 2012 14:06:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions netcat-openbsd/1.89-1. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 26 Nov 2012 14:06:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions netcat-openbsd/1.89-1. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 26 Nov 2012 14:06:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 26 Nov 2012 14:06:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:21:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.